Bug 1470236 - [RFE] [ODL] SFC support
[RFE] [ODL] SFC support
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: lpeer
Toni Freger
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 10:41 EDT by Jeremy
Modified: 2018-07-07 22:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2017-07-12 10:41:38 EDT
Description of problem:
Customer would like SFC with Opendaylight redhat ships:

Service function chaining opendaylight:

https://wiki.opendaylight.org/view/Service_Function_Chaining:Main




Additional info:

Customer has installed upstream and noticed sfc is available:

opendaylight-user@root>feature:list |grep odl-netvirt-openstack
odl-netvirt-openstack-sfc-translator             | 1.3.4-Boron-SR4  | x         | odl-ovsdb-sfc-1.3.4-Boron-SR4               | OpenStack SFC to OpenDaylight SFC API data transla
odl-netvirt-openstack-sfc-translator-rest        | 1.3.4-Boron-SR4  | x         | odl-ovsdb-sfc-1.3.4-Boron-SR4               | OpenStack SFC to OpenDaylight SFC API data transla
odl-netvirt-openstack                            | 0.3.4-Boron-SR4  | x         | odl-netvirt-0.3.4-Boron-SR4                 | OpenDaylight :: NetVirt :: OpenStack
Comment 2 Jeremy 2017-07-13 11:50:16 EDT
Customer now has boron SR2. Is SFC available in SR4? If so could they upgrade manually  opendaylight to SR4 and still continue to have  support?
Comment 3 Nir Yechiel 2017-08-09 05:03:34 EDT
(In reply to Jeremy from comment #2)
> Customer now has boron SR2. Is SFC available in SR4? If so could they
> upgrade manually  opendaylight to SR4 and still continue to have  support?

No, the feature is not available with the Boron code base. 

This is a big feature that impact multiple components (OpenDaylight, networking-odl, networking-sfc, OVS, TripleO). End to end support is currently not planned before RHOSP 14.

Note You need to log in before you can comment on or make changes to this bug.